Documentation Index
Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Public channel. Connect to:
wss://wss.prime.kraken.com/ws/v1Request
- Request Schema
- Example
Request ID - will be echoed back in the response structure.
Request type for initializing a subscription. Value:
subscribeOptional user generated tag to attach to stream data.
Streams to subscribe to.
An ISO-8601 UTC string of the form
2019-02-13T05:17:32.000000Z.Response
- Response Schema
- Example
A number that relates this response to a request.
The sequence number for this response per request. seqNum begins at 1 on the first message with this reqid and increments by one for each message sent on this reqid.
The type of message sent. This document describes all valid message types.
An optional tag from the stream request.
An ISO-8601 UTC string of the form
2019-02-13T05:17:32.000000Z.If this is initial data for a request, the initial flag will be set.
“Update” or “Remove” - tells the client if the given entity should be removed or added/updated.
The total number of records for this stream.
Array of response data structured per subscription type.
If paging, tag for next page of data.
Notes
reqidcannot be equal to 0.seqNumis for debug purposes only, the client is not required to do any sequencing.- If a request requires responses with different types, then multiple responses may have the
initialflag set for different types. actionis eitherUpdateorRemoveand tells the client if the given entity should be removed or added/updated. The key for a given entity depends on the message type.